PHP 手冊
前一頁 |  | 下一頁

# gzdeflate

(PHP 4 >= 4.0.4, PHP 5)

gzdeflate -- Deflate a string

## Description

string gzdeflate ( string data [, int level] )

This function compress the given string using the DEFLATE data format.

For details on the DEFLATE compression algorithm see the document "DEFLATE Compressed Data Format Specification version 1.3" (RFC 1951).

## Parameters

data

  The data to deflate.

level

  The level of compression. Can be given as 0 for no compression up to 9 for maximum compression. If not given, the default compression level will be the default compression level of the zlib library.

## Return Values

The deflated string or `FALSE` if an error occurred.

## 參考

gzinflate()
gzcompress()
gzuncompress()
gzencode()

前一頁 | 內容 | 下一頁
gzcompress | 上一層 | gzencode